Groovy Documentation

## groovy.text
[Java] Class TemplateEngine

    java.lang.Object
      groovy.text.TemplateEngine

    public abstract class TemplateEngine
    extends java.lang.Object

Represents an API to any template engine which is basically a factory of Template instances from a given text input.

Authors:
  sam

Method Summary
`Template` | `createTemplate(java.io.Reader reader)`
`Template` | `createTemplate(java.lang.String templateText)`
`Template` | `createTemplate(java.io.File file)`
`Template` | `createTemplate(java.net.URL url)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createTemplate

    public Template createTemplate(java.io.Reader reader)

### createTemplate

    public Template createTemplate(java.lang.String templateText)

### createTemplate

    public Template createTemplate(java.io.File file)

### createTemplate

    public Template createTemplate(java.net.URL url)

Groovy Documentation